@echo off
setlocal

set CATALINA_HOME=%CD%\..\tomcat
set JAVA_HOME=%CD%\..\jre
set ASA_HOME=%CD%\..\ASA

if %ERRORLEVEL% == 2 goto end


:begin
"%JAVA_HOME%\bin\java.exe" -Xms1024m -Xmx1024m -classpath "%CD%\..\Tools\ShrinkEmbeddedDB.jar;%CD%\..\bin\inst.jar;%CD%\..\bin\inst-res.jar;%CD%\..\tomcat\lib\jconn3.jar" -Dcatalina.home="%CATALINA_HOME%" -Djava.library.path="%CATALINA_HOME%\bin;%ASA_HOME%\win32" com.sygate.scm.tools.db.ShrinkEmbededDB
set TEMP_ERROR_LEVEL=%ERRORLEVEL%

if %TEMP_ERROR_LEVEL% == 0 goto noerror
if %TEMP_ERROR_LEVEL% == 2 goto error2

goto end

:noerror

@echo Shrink DB successful.
goto end

:error2

@echo Shrink DB failed. Please check the log file for more details.
goto end

:end
endlocal